/* <TRANS_COMMAND>
alter table LayerFieldTypes
add RecommendField varchar2(50);

commit work;

*/
-- <TRANS_IGNORE>

DECLARE 
  v_exists integer;
BEGIN
  SELECT count(*) 
    INTO v_exists
    FROM USER_TAB_COLUMNS 
    WHERE TABLE_NAME='LAYERFIELDTYPES' AND COLUMN_NAME='RECOMMENDFIELD';
  IF (v_exists=0) THEN
    EXECUTE IMMEDIATE 'ALTER TABLE LayerFieldTypes
      ADD RecommendField varchar2(50)';
    EXECUTE IMMEDIATE 'COMMIT WORK';
  END IF;
END;

update LayerFieldTypes
  set RecommendField = 'DIRECTIONCLS'
where Alias = 'Классификаторы.ПрикладныеТипы.Направления';

update LayerFieldTypes
  set RecommendField = 'FACT'
where Alias = 'Классификаторы.ПрикладныеТипы.Мероприятия';

update LayerFieldTypes
  set RecommendField = 'FINTYPE'
where Alias = 'Классификаторы.ПрикладныеТипы.ТипФинансирования';

update LayerFieldTypes
  set RecommendField = 'INVESTOBJECT'
where Alias = 'Классификаторы.ПрикладныеТипы.КодОбъекта';

update LayerFieldTypes
  set RecommendField = 'KCSR'
where Alias = 'Классификаторы.ПрикладныеТипы.ЦСР';

update LayerFieldTypes
  set RecommendField = 'KESR'
where Alias = 'Классификаторы.ПрикладныеТипы.КОСГУ';

update LayerFieldTypes
  set RecommendField = 'KFSR'
where Alias = 'Классификаторы.ПрикладныеТипы.КФСР';

update LayerFieldTypes
  set RecommendField = 'KVR'
where Alias = 'Классификаторы.ПрикладныеТипы.КВР';

update LayerFieldTypes
  set RecommendField = 'KVSR'
where Alias = 'Классификаторы.ПрикладныеТипы.ГРБС';

update LayerFieldTypes
  set RecommendField = 'MEANSTYPE'
where Alias = 'Классификаторы.ПрикладныеТипы.ТипСредств';

update LayerFieldTypes
  set RecommendField = 'OKPD'
where Alias = 'Классификаторы.ПрикладныеТипы.ОКПД';

update LayerFieldTypes
  set RecommendField = 'SUBSIDYCLS'
where Alias = 'Классификаторы.ПрикладныеТипы.Субсидии';

update LayerFieldTypes
  set RecommendField = 'TRANSFERTCLS'
where Alias = 'Классификаторы.ПрикладныеТипы.ЦелевыеСредства';

commit work;